Skip to content

Shield Create

| View as Markdown

BCFI – Business Correspondent Federation of India has issued a list of entities who have been blacklisted by banks or have criminal records for forgery, murder etc. Shield create is used to add a new entity to the list who has been identified for doing malpractices with all the available details.

https://kraken.airpay.co.in/airpay/ms/shield/api/create
FieldTypeDescription
content-typeStringapplication/json (required)
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
codeTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeRequiredDescription
agent_nameTextYesName of the agent (length 3-70)
corporate_bc_nameTextYesCorporate name for the agent (length 3-70)
mobile_noTextYesMobile Number (length 10)
cityTextYesName of the city (length 1-70)
stateTextNoName of the state (length 1-70)
addressTextYesAddress (length 225)
pin_codeTextNoPincode (length 6)
aadhaar_noTextNoAadhaar Number (length 4, last four digits only)
pan_noTextYesPAN card Number (length 10)
blacklisted_dateTextNoBlacklisted date in dd-mm-yyyy format
blacklisted_reasonTextYesReason for blacklisted (length 100)
bankTextNoBank name (length 100)
ifscTextNoBank IFSC code (length 15)
account_noTextNoAccount Number (length 20)
is_police_complaintTextYesPolice complaint flag.
Accepted values: Y / N
complaint_noTextYes*Complaint Number (length 70). Required only if is_police_complaint is Y.
complaint_dateDateYes*Complaint date in dd-mm-yyyy format. Required only if is_police_complaint is Y.
arrestedTextNoArrested status.
Accepted values: Y / N
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/create' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'agent_name=Arsen' \
--data-urlencode 'corporate_bc_name=corpa lithin' \
--data-urlencode 'mobile_no=9XXXXXX989' \
--data-urlencode 'city=Mumbai' \
--data-urlencode 'state=Maharashtra' \
--data-urlencode 'address=drsd' \
--data-urlencode 'aadhaar_no=0101' \
--data-urlencode 'blacklisted_reason=test reason' \
--data-urlencode 'bank=HDFC' \
--data-urlencode 'ifsc=HDFCBK002123' \
--data-urlencode 'account_no=xsdf123123' \
--data-urlencode 'is_police_complaint=Y' \
--data-urlencode 'complaint_no=123123D' \
--data-urlencode 'complaint_date=12-12-2022' \
--data-urlencode 'arrested=N'
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataTextJson response { “status”: status code, “message”: response message, “data”:[ {“parameter”:“array required data”}] }
{
"status": 200,
"message": "Success",
"data": {
"message": "Merchant Added Successfully.",
"merchant_id": 23
},
"checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
{
"status": "400",
"message": "Failed",
"data": ""
}